Reply

GetAdjustables

[ Edited ]

I try to execute this code... but it return "Invalid Parameter error"...

 

Any ideas?

 

Dim objDoc As SolidEdgeAssembly.AssemblyDocument

Dim objAdustable As SolidEdgeAssembly.AdjustablePart

 

Dim objOccurrence As SolidEdgeAssembly.Occurrence

objDoc = application.ActiveDocument

 

If Not objDoc Is Nothing Then

If objDoc.Type = SolidEdgeConstants.DocumentTypeConstants.igAssemblyDocument Then

For i = 1 To objDoc.Occurrences.Count

objOccurrence = objDoc.Occurrences.Item(i)

If objOccurrence.IsAdjustablePart = True Then

objAdustable = objOccurrence.GetAdjustablePart

If Not objAdustable Is Nothing Then

Dim NrOfEntries As Long

Dim partVars As Object

Dim asmVars As Object

Try

objAdustable.GetAdjustables(NrOfEntries, partVars, asmVars)

Catch ex As Exception

Debug.WriteLine(ex.Message)

End Try

End If

End If

Next

End If

End If

 

 

 

Posted by: Aldo Kruger
Post date: 5/12/2007 1:45:23 PM